Apple hoiatab vanemate seadmete omanikke: uuenda, või jääd veebiteenustest ilma!

 (18)
Apple'i Poes
iPhone 5Foto: Hendrik Osula

Apple hoiatab vanemate iPhone'ide ja iPadide omanikke, et need uuendaks seadme tarkvara enne kolmandat novembrit. Vastasel juhul ei pääse nad enam veebiteenustele ligi.

Uuendus puudutab GPS-tehnoloogia omapära. GPS peab oma täpsuse tagamiseks jälgima kuupäeva ning kellaaega, mida salvestatakse seadmes 10-bitise kombinatsioonina. Umbes iga 20 aasta tagant läheb see number aga nulli ning tekitab seeläbi vanemates seadmetes tõrkeid.

Apple viitabki, et viimane selline nullimine toimus selle aasta aprillikuus ning seetõttu ei pruugi vanemad Apple'i seadmed, mis enam tarkvarauuendustele ligi ei pääse, olla varsti sellest mõjutatud. Juhul, kui kasutaja telefoni ei uuenda, ei saa ta ligi näiteks e-kirjadele, veebibrauserile, äpipoele, iCloudile ega teistele veebiteenustele.

Ettevõtte sõnul vajavad tarkvarauuendusi iPhone 5 ja 4s telefonid ja neljanda, kolmanda ja teise põlvkonna iPadid, samuti esimese põlvkonna iPad mini. Kõikide uuendusega seotud seadmete tarkvarauuenduste menüüs on uuendus eri seerianumbritega 10.3.4 või 9.3.6 juba praegu olemas. Samuti lubas Apple, et näitab kõikide seadmete omanikele ekraanil asjakohast teavitust.

Seotud lood:

Juhul, kui seadme uuendamine läheb meelest, ei ole aga kõik kadunud. Sellisel juhul on vaja telefon või tahvelarvuti lihtsalt arvutiga ühendada ning uus tarkvara lihtsalt sealtkaudu paigaldada. Wi-fi või mobiilse interneti jõul aga telefoni enam uuendada ei saa.

Apple'i sõnul ei tohiks muudatustest mõjutatud inimesi üle maailma palju olla. Ettevõtte hinnangul jääb probleemiga seotud seadmete kasutajate hulk maailmas umbes üheksa protsendi ringi.